import 'package:doctor_app_flutter/core/model/SOAP/selected_items/my_selected_allergy.dart';
import 'package:doctor_app_flutter/core/model/SOAP/selected_items/my_selected_assement.dart';
import 'package:doctor_app_flutter/core/model/SOAP/selected_items/my_selected_examination.dart';
import 'package:doctor_app_flutter/core/model/SOAP/selected_items/my_selected_history.dart';

class SoapUtils {
  static MySelectedHistory generateMySelectedHistory({history, isChecked = false, remark, isLocal = true}) {
    MySelectedHistory mySelectedHistory = MySelectedHistory(selectedHistory: history, isChecked: isChecked, remark: remark, isLocal: isLocal);
    return mySelectedHistory;
  }

  static MySelectedAllergy generateMySelectedAllergy({allergy, allergySeverity, isChecked = false, remark, isLocal = true, int createdBy = 0, bool isExpanded = false}) {
    MySelectedAllergy mySelectedAllergy =
        MySelectedAllergy(selectedAllergy: allergy, selectedAllergySeverity: allergySeverity, isChecked: isChecked, remark: remark, isLocal: isLocal, createdBy: createdBy, isExpanded: isExpanded);
    return mySelectedAllergy;
  }

  static MySelectedExamination generateMySelectedExamination(
      {examination, allergySeverity, isChecked = false, remark, isLocal = true, isNormal, createdBy, createdOn, editedOn, notExamined, isNew, isAbnormal}) {
    MySelectedExamination mySelectedExamination = MySelectedExamination(
      selectedExamination: examination,
      remark: remark,
      isNormal: isNormal,
      createdBy: createdBy,
      createdOn: createdOn,
      editedOn: editedOn,
      notExamined: notExamined,
      isNew: isNew,
      isLocal: isLocal,
      isAbnormal: isAbnormal,
    );
    return mySelectedExamination;
  }

  static MySelectedAssessment generateMySelectedAssessment({appointmentNo, remark, diagnosisType, diagnosisCondition, selectedICD, doctorID, doctorName, createdBy, createdOn, icdCode10ID}) {
    MySelectedAssessment mySelectedAssessment = MySelectedAssessment(
        appointmentId: appointmentNo,
        remark: remark,
        selectedDiagnosisType: diagnosisType,
        selectedDiagnosisCondition: diagnosisCondition,
        selectedICD: selectedICD,
        doctorID: doctorID,
        doctorName: doctorName,
        createdBy: createdBy,
        createdOn: createdOn,
        icdCode10ID: icdCode10ID);
    return mySelectedAssessment;
  }
}
